ixp
latest
false

非结构化复杂文档用户指南
上次更新日期 2026年1月8日
您可以查询审核事件,以检索平台内用户和系统操作的详细记录。
注意:您必须已分配“IXP 审核日志查看者”角色。
/api/v1/audit_events/query
重击
curl -X POST 'https://<my_api_endpoint>/api/v1/audit_events/query' \
-H "Authorization: Bearer $REINFER_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"filter": {
"timestamp": {
"maximum": "2021-07-10T00:00:00Z",
"minimum": "2021-06-10T00:00:00Z"
}
}
}'
curl -X POST 'https://<my_api_endpoint>/api/v1/audit_events/query' \
-H "Authorization: Bearer $REINFER_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"filter": {
"timestamp": {
"maximum": "2021-07-10T00:00:00Z",
"minimum": "2021-06-10T00:00:00Z"
}
}
}'
节点
const request = require("request");
request.post(
{
url: "https://<my_api_endpoint>/api/v1/audit_events/query",
headers: {
Authorization: "Bearer " + process.env.REINFER_TOKEN,
},
json: true,
body: {
filter: {
timestamp: {
maximum: "2021-07-10T00:00:00Z",
minimum: "2021-06-10T00:00:00Z",
},
},
},
},
function (error, response, json) {
// digest response
console.log(JSON.stringify(json, null, 2));
}
);const request = require("request");
request.post(
{
url: "https://<my_api_endpoint>/api/v1/audit_events/query",
headers: {
Authorization: "Bearer " + process.env.REINFER_TOKEN,
},
json: true,
body: {
filter: {
timestamp: {
maximum: "2021-07-10T00:00:00Z",
minimum: "2021-06-10T00:00:00Z",
},
},
},
},
function (error, response, json) {
// digest response
console.log(JSON.stringify(json, null, 2));
}
);Python
import json
import os
import requests
response = requests.post(
"https://<my_api_endpoint>/api/v1/audit_events/query",
headers={"Authorization": "Bearer " + os.environ["REINFER_TOKEN"]},
json={
"filter": {
"timestamp": {
"minimum": "2021-06-10T00:00:00Z",
"maximum": "2021-07-10T00:00:00Z",
}
}
},
)
print(json.dumps(response.json(), indent=2, sort_keys=True))
import json
import os
import requests
response = requests.post(
"https://<my_api_endpoint>/api/v1/audit_events/query",
headers={"Authorization": "Bearer " + os.environ["REINFER_TOKEN"]},
json={
"filter": {
"timestamp": {
"minimum": "2021-06-10T00:00:00Z",
"maximum": "2021-07-10T00:00:00Z",
}
}
},
)
print(json.dumps(response.json(), indent=2, sort_keys=True))
响应
{
"audit_events": [
{
"actor_user_id": "e2148a6625225593",
"dataset_ids": ["1fe230edc85ffc1a"],
"event_id": "2555880060c23eb5",
"event_type": "get_datasets",
"project_ids": ["ce3c61dcf210f425", "274400867ab17af9"],
"tenant_ids": ["c59b6e209da438a8"],
"timestamp": "2021-06-10T16:32:53Z"
}
],
"continuation": "2555880060c23eb5",
"datasets": [
{
"id": "1fe230edc85ffc1a",
"name": "collateral-sharing",
"project_id": "ce3c61dcf210f425",
"title": "Collateral Sharing"
},
{
"id": "274400867ab17af9",
"name": "Customer-Feedback",
"project_id": "ce3c61dcf210f425",
"title": "Customer Feedback"
}
],
"projects": [
{
"id": "ce3c61dcf210f425",
"name": "bank-collateral",
"tenant_id": "c59b6e209da438a8"
}
],
"status": "ok",
"tenants": [
{
"id": "c59b6e209da438a8",
"name": "acme"
}
],
"users": [
{
"display_name": "Alice",
"email": "alice@acme.example",
"id": "e2148a6625225593",
"tenant_id": "c59b6e209da438a8",
"username": "alice"
}
]
}{
"audit_events": [
{
"actor_user_id": "e2148a6625225593",
"dataset_ids": ["1fe230edc85ffc1a"],
"event_id": "2555880060c23eb5",
"event_type": "get_datasets",
"project_ids": ["ce3c61dcf210f425", "274400867ab17af9"],
"tenant_ids": ["c59b6e209da438a8"],
"timestamp": "2021-06-10T16:32:53Z"
}
],
"continuation": "2555880060c23eb5",
"datasets": [
{
"id": "1fe230edc85ffc1a",
"name": "collateral-sharing",
"project_id": "ce3c61dcf210f425",
"title": "Collateral Sharing"
},
{
"id": "274400867ab17af9",
"name": "Customer-Feedback",
"project_id": "ce3c61dcf210f425",
"title": "Customer Feedback"
}
],
"projects": [
{
"id": "ce3c61dcf210f425",
"name": "bank-collateral",
"tenant_id": "c59b6e209da438a8"
}
],
"status": "ok",
"tenants": [
{
"id": "c59b6e209da438a8",
"name": "acme"
}
],
"users": [
{
"display_name": "Alice",
"email": "alice@acme.example",
"id": "e2148a6625225593",
"tenant_id": "c59b6e209da438a8",
"username": "alice"
}
]
}审核事件是用户在 IXP 平台中执行的操作的记录。可审核事件示例包括:
- 正在登录的用户。
- 用户在更改密码。
- 用户正在更改另一个用户的权限。
| 名称 | 类型 | 必填 | 描述 |
|---|---|---|---|
continuation | 字符串 | 否 | 如果上一个查询在响应中返回了continuation ,则可以使用另一页事件。 在此处设置返回的延续值以获取下一页。
|
limit | 数字 | 否 | 每页返回的审核事件数。 默认为 128。 |
filter | 筛选 | 否 | 用于指定要返回的审核事件的筛选器。 |
filter具有以下格式:
| 名称 | 类型 | 必填 | 描述 |
|---|---|---|---|
timestamp | 时间戳筛选器 | 否 | 此筛选器用于指定要返回事件的时间范围。 |
TimestampFilter具有以下格式:
| 名称 | 类型 | 必填 | 描述 |
|---|---|---|---|
minimum | 字符串 | 否 | ISO-8601 时间戳。如果提供,则仅返回此时间戳之后(含此时间戳)的审核事件。 |
maximum | 字符串 | 否 | ISO-8601 时间戳。如果提供,则仅返回此时间戳之前的审核事件。 |
此部分包含适用于非结构化复杂文档的所有审核事件类型。
项目管理
| 事件类型 | 描述 |
|---|---|
ucd_project_created | 系统将创建“非结构化复杂文档”项目。 |
ucd_project_deleted | “非结构化复杂文档”项目已删除。 |
模型管理
| 事件类型 | 描述 |
|---|---|
model_version_published | 模型已发布。 |
model_version_unpublished | 模型标签已更新。 |
model_tag_deleted | 已发布模型已删除。 |
数据集管理
| 事件类型 | 描述 |
|---|---|
get_datasets | 数据集已检索。 |
get_datasets_by_owner | 数据集由所有者检索。 |
get_dataset | 特定数据集已检索。 |
export_dataset | 数据集已导出。 |
用户管理
| 事件类型 | 描述 |
|---|---|
create_user | 系统将创建新用户。 |
delete_user | 系统将删除用户。 |
get_users | 系统将检索用户信息。 |
update_user | 用户信息被修改。 |
身份验证和安全性
| 事件类型 | 描述 |
|---|---|
login_success | 用户登录成功。 |
authentication_failed_password | 由于密码错误,登录失败。 |
authentication_failed_totp | 由于 TOTP 代码错误,登录失败。 |
login_failed_ip_address | 由于 IP 地址限制,登录失败。 |
revoke_api_tokens | API 令牌被撤销。 |
revoke_login_tokens | 登录令牌被撤销。 |
revoke_current_login_token | 当前会话令牌被撤销。 |
replace_api_token | API 令牌被替换。 |
authentication_failed_totp_lockout | 由于 TOTP 锁定,登录失败。 |
密码重置
| 事件类型 | 描述 |
|---|---|
send_password_reset_success | 已成功发送密码重置电子邮件。 |
send_password_reset_failed_ip_address | IP 阻止密码重置。 |
verify_password_reset_success | 密码重置验证成功。 |
verify_password_reset_failed_ip_address | IP 阻止密码重置验证。 |
change_password_success | 密码更改成功。 |
change_password_failed_totp | 由于 TOTP,密码更改失败。 |
change_password_failed_ip_address | IP 阻止密码更改。 |
verify_password_reset_failed_signature | 密码重置签名无效。 |
verify_password_reset_failed_timestamp | 密码重置链接已过期。 |
change_password_failed_current_password | 提供的当前密码错误。 |
评论查询
| 事件类型 | 描述 |
|---|---|
comment_query_text | 基于文本的评论查询。 |
comment_query_sample | 注释查询示例。 |
comment_query_learning | 与学习相关的注释查询。 |
comment_query_any_label_asc | 按升序排列的基于标签的查询。 |
comment_query_recent | 最近的评论查询。 |
comment_query_by_label | 按特定标签筛选的查询。 |
comment_query_diagnostic | 诊断注释查询。 |
comment_query_label_property | 标签属性查询。 |
comment_query_attachment_text | 附件文本查询。 |
批注
| 事件类型 | 描述 |
|---|---|
get_annotations | 批注已检索。 |
update_annotation | 批注已修改。 |
配额管理
| 事件类型 | 描述 |
|---|---|
quota_set | 已设置配额。 |
quota_reset | 配额已重置。 |
quotas_get | 检索配额。 |
系统和管理
| 事件类型 | 描述 |
|---|---|
audit_event_query | 系统会直接查询审核事件。 |